Example
An example associated with a Supervisor Agent. Contains a question and guidelines for how the agent should respond.
Example object
An example associated with a Supervisor Agent. Contains a question and guidelines for how the agent should respond.
- namestringBeta
Full resource name: supervisor-agents/{supervisor_agent_id}/examples/{example_id}
- questionstringBeta
The example question.
- guidelinesarray of stringBeta
Guidelines for answering the question.
- example_idstringBeta
The universally unique identifier (UUID) of the example.
Get Beta
GET
Gets an example from a Supervisor Agent.
API scopes: supervisor-agents
Parameters
- namestringpath
The resource name of the example. Format: supervisor-agents/{supervisor_agent_id}/examples/{example_id}
Response
Returns the Example object.
List Beta
GET
Lists examples under a Supervisor Agent.
API scopes: supervisor-agents
Parameters
- parentstringpath
Parent resource to list from. Format: supervisor-agents/{supervisor_agent_id}
- page_sizeint32query
The maximum number of examples to return. If unspecified, at most 100 examples will be returned. The maximum value is 100; values above 100 will be coerced to 100.
- page_tokenstringquery
A page token, received from a previous
ListExamplescall. Provide this to retrieve the subsequent page. If unspecified, the first page will be returned.
Response
Returns a list of Example objects.
Create Beta
POST
Creates an example for a Supervisor Agent.
API scopes: supervisor-agents
Parameters
- parentstringpath
Parent resource where this example will be created. Format: supervisor-agents/{supervisor_agent_id}
Request body
- exampleobject
The example to create under the parent Supervisor Agent.
Show child attributesHide child attributes
- namestring
Full resource name: supervisor-agents/{supervisor_agent_id}/examples/{example_id}
- questionstring
The example question.
- guidelinesarray of string
Guidelines for answering the question.
- example_idstring
The universally unique identifier (UUID) of the example.
Response
Returns the Example object.
Update Beta
PATCH
Updates an example in a Supervisor Agent.
API scopes: supervisor-agents
Parameters
- namestringpath
The resource name of the example to update. Format: supervisor-agents/{supervisor_agent_id}/examples/{example_id}
- update_maskstringquery
Comma-delimited list of fields to update on the example. Allowed values:
question,guidelines. Examples:questionquestion,guidelines
Request body
- exampleobject
Show child attributesHide child attributes
- namestring
Full resource name: supervisor-agents/{supervisor_agent_id}/examples/{example_id}
- questionstring
The example question.
- guidelinesarray of string
Guidelines for answering the question.
- example_idstring
The universally unique identifier (UUID) of the example.
Response
Returns the Example object.
Delete Beta
DELETE
Deletes an example from a Supervisor Agent.
API scopes: supervisor-agents
Parameters
- namestringpath
The resource name of the example to delete. Format: supervisor-agents/{supervisor_agent_id}/examples/{example_id}